Read or delete data

Read data from your Spreadsheets/Google Sheets, optionally count matches, or delete rows when query beginning with delete from is provided.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

16-character alphanumeric file identifier.

Query Params
string

SQL-like statement for retrieving or deleting rows. Examples: - Retrieve rows: "select * from {file_id} where {column_name}='{cell_value}'" - Delete rows: "delete from {file_id} where {column_name}='{cell_value}'"

integer
≥ 1

Maximum number of rows to return (only applies when using select).

string
enum
Defaults to row

Format of returned data (only applies when using select).

Allowed:
boolean

If present, response returns only the count of matching rows (only when reading data).

Headers
string
required

Access key credential unique to each file

string
required

Secret key credential unique to each file

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json